VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
Bus Class Reference
VST Implementation Helper Classes

Basic Bus object. More...

`#include <vstbus.h>`

Inheritance diagram for Bus:

## Public Member Functions
| Bus (const TChar *name, BusType busType, int32 flags)
| Constructor. More...
TBool | isActive () const
| Returns true if the bus is active. More...
void | setActive (TBool state)
| Activates the bus. More...
void | setName (const std::u16string &newName)
| Sets a new name for this bus. More...
void | setBusType (BusType newBusType)
| Sets a new busType for this bus. More...
void | setFlags (uint32 newFlags)
| Sets a new flags for this bus. More...
virtual bool | getInfo (BusInfo &)
| Gets the BusInfo of this bus. More...

## Public Attributes
OBJ_METHODS(Vst::Bus, FObject) protected BusType | busType
| < name More...
int32 | flags
| flags, see BusInfo::BusFlags More...
TBool | active
| activation state More...

## Detailed Description

Basic Bus object.

## Constructor & Destructor Documentation

## ◆ Bus()

Bus | ( | const TChar * | name,
|  | BusType | busType,
|  | int32 | flags
| ) |  |

Constructor.

## Member Function Documentation

## ◆ isActive()

TBool isActive | ( |  | ) | const
| inline

Returns true if the bus is active.

## ◆ setActive()

void setActive | ( | TBool | state | ) |
| inline

Activates the bus.

## ◆ setName()

void setName | ( | const std::u16string & | newName | ) |
| inline

Sets a new name for this bus.

## ◆ setBusType()

void setBusType | ( | BusType | newBusType | ) |
| inline

Sets a new busType for this bus.

## ◆ setFlags()

void setFlags | ( | uint32 | newFlags | ) |
| inline

Sets a new flags for this bus.

## ◆ getInfo()

bool getInfo | ( | BusInfo & | info | ) |
| virtual

Gets the BusInfo of this bus.

Reimplemented in EventBus, and AudioBus.

## Member Data Documentation

## ◆ busType

OBJ_METHODS (Vst::Bus, FObject) protected BusType busType

< name

kMain or kAux, see BusTypes

## ◆ flags

int32 flags

flags, see BusInfo::BusFlags

## ◆ active

TBool active

activation state

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.